*{
    margin: 0;
    padding: 0;
    font-family: "Poppins";
    scroll-behavior: smooth;
    
}
.header{
    height: 80px;
    width: 94%;
    position: absolute;
    position: fixed;
    top: 40px;
    left: 70px;
    z-index: 100;
    border-radius: 80px;
    background-color: #585d65;
}
.header-logo{
    /* margin-left: 20px; */
    display: flex;
}
.logo-2{
margin-top: 20px;
margin-left: 30px;
}

.logo-txt{
    margin-left: 20px;
    margin-top: 12px;
    font-size: 18px;
    font-weight: 800;
    color: #fff;
    font-family: "Poppins";
}
.header-tag > ul{
    display: flex;
    list-style: none;
    margin-left: 120px;
}
.header-tag > ul li{
    
    font-weight: 800;
    font-size: 12px;
    font-family: "Poppins";
    cursor: pointer;
    color: #fff;
    margin-top: 30px;

}

.tag-2{
    margin-left: 50px;
}

.tag-4{
    margin-left: 50px;
}
.tag-3{
    background-color: #585d65;
    height: 50px;
}
.tag-3:hover .header-drop{
    display: block;
    display: flex;
    flex-direction: column;
    width: 200px;
    height: 160px;
    margin-left: 5px;
    text-decoration: none;
    background-color: #585d65;
    position: absolute;
    left: 270px;
    top: 60px;
    overflow: hidden;
    box-shadow: 5px 5px 5px 5px #373B40;
}
.header-tag > ul li:hover {
    color: RGB(104, 224, 207);
    transition: 0.5s;
}

.header-drop> a{
    width: 200px;
    height: 40px;
    border-top: 1px solid   rgba(255, 255, 255, .1);
    text-decoration: none;
    color: #fff;
    margin-left: 10px;
    /* position: relative; */
}
.header-tag a{
    text-decoration: none;
}
.header-drop> a:hover{
    color: #08e2c5;
    transition: 0.5s;
}
.header-drop{
    background-color: #585d65;
    position: absolute;
    /* right: 5px; */
    display: flex;
    flex-direction: column;
    display: none;
    cursor: pointer;
    border-radius: 10px;
}
.btn{
    padding: 12px 50px;
    border-radius: 50px;
    font-family: "Poppins";
    font-weight: 800;
    font-size: 12px;
    margin-left: 60px;
    margin-top: 8px;
    color: #08e2c5;
    background-color: #585d65;
    outline: none;
    border: 1px solid #08e2c5;
}
.btn:hover{
    border: 1px solid #fff;
    transition: 0.5s;
    color: #fff;
     cursor: pointer;
}
.main{
    display: flex;
}
.main-1st{
      height: 100vh;
      width: 40%;
      position: relative;
}
.main-inside-1{
    background-color: #08e2c5;
    height: 100vh;
    width: 100%;
}
.main-inside-2{
    height: 100vh;
    width: 100%;
    position: absolute;
    top: 0px;
    background-image: url(./images/my-img-7.PNG);
    background-size: 100% 100%;
    background-size: cover;
    background-position: center center;
    /* opacity: 0.5; */
    filter: grayscale(100%);
    mix-blend-mode: luminosity;
}
.main-1-fixed{
    position: fixed;
    width: 40%;
}

#main-2nd{
    width: 60%;
    height: auto;
    position: relative;
    /* border: 2px solid green; */
    background-color: #373B40;
}
.main-6{
    /* margin-top: 50px; */
    /* border: 2px solid red; */
    /* height: 600px; */
    width: 100%;
    /* display: flex;
    justify-content: flex-end;
    align-items: flex-end; */
}
.main-7{
    margin-top: 400px;
}
.b-btm{
    margin-bottom: 60px;
}
.icon-last{
    font-size: 30px;
    filter: drop-shadow(5px 5px 10px #08e2c5 );
    margin-bottom: 10px;
}

.main-3rd{
    width: 300px;
    height: 270px;
    background-color: #373B40;
    border-radius: 50%;
    position: absolute;
    top: 130px;
    left: -150px;
}
#main-2nd-i{
    color: #fff;
    border: 1px solid #585d65;
    padding: 18px;
    border-radius: 50%;
    margin-bottom: 10px;
    margin-left: 7px;
}
#main-2nd-i:hover{
    color: #08e2c5;
    transition: 0.5s;
    cursor: pointer;
}
#main-2nd-i-2{
    color: #fff;
    border: 1px solid #585d65;
    padding: 18px 21px;
    border-radius: 50%;
    margin-bottom: 10px;
    margin-left: 7px;
}
#main-2nd-i-2:hover{
    color: #08e2c5;
    transition: 0.5s;
    cursor: pointer;
}
.main-2nd-1{
    width: 100%;
    /* border: 2px solid red; */
    height: 800px;
    background-color:  #373B40;
}
.main-2nd-2{
    position: fixed;
    right: 0px;
    width: 6%;
    border: 1px solid #585d65;
    height: 100vh;
    background-color:  #373B40;
    padding-top: 400px;
    padding-left: 10px;
}

.main-2nd-img:hover {
    cursor: pointer;
    transition: 0.5s;
}

.radius-txt{
   color: #fff;
   font-family: "Poppins";
   font-weight: 800;
   font-size: 56px;
   position: absolute;
   left: 50px;
   top: 50px;
}
.main-2nd-txt{
    /* position: absolute; */
    color: #fff;
    /* top: 390px; */
    /* left: 100px; */
    font-family: "poppins";
    font-weight: 700;
    font-size: 18px;
    color: #08e2c5;
    margin-left: 30px;
}
.main-2nd-p{
    /* position: absolute; */
    color: #fff;
    /* top: 430px; */
    /* left: 100px; */
    font-family: "poppins";
    font-weight: 600;
    font-size: 14px;
    width: 68%;
    margin-left: 30px;
    padding-bottom: 20px;
    padding-top: 20px;
}
.btn-3{
    padding: 21px 40px;
    border-radius: 50px;
    font-family: "Poppins";
    margin-left: 30px;
    /* width: 20%; */
    font-weight: 800;
    font-size: 12px;
    /* position: absolute; */
    /* left: 150px; */
    /* top: 550px; */
    /* margin-left: 170px; */
    /* margin-top: 550px; */
    /* margin-bottom: 50px; */
    color: #08e2c5;
    background-color: #373B40;
    outline: none;
    border: 1px solid #08e2c5;
    margin-top: 10px;
}
.btn-3:hover{
    color: #fff;
    border: 1px solid #fff;
    transition: 0.5s;
    cursor: pointer;
}
#about{
    border-top: 1px solid #585d65;
    scroll-behavior: smooth;
    transition-duration: 1s;
}
#about-h1{
    padding-top: 80px;
    font-size: 55px;
    font-weight: 800;
    color: #fff;
    margin-left: 30px;
}
#para{
    margin-left: 30px;
    font-size: 14px;
    font-weight: 600;
    color: #08e2c5;
}
.whitep{
    width: 70%;
    margin: 50px 30px 0 30px;
    color: #fff;
    font-size: 14px;
}
.d-main{
    display: flex;
    margin-left: 10px;
}
.d-main-2{
    display: flex;
    margin-left: 150px;
}
.d-1{
    margin-right: 20px;
    color: #08e2c5;
    font-size: 14px;
    font-weight: 600;
    padding-top: 30px;
    margin-left: 30px;
}
.d-1 p{
    padding-top: 10px;
}
.d-2{
   color: #fff;
   padding-top: 30px;
}
.d-2 p{
    padding-top: 10px;
    font-size: 14px;
    font-weight: 600;
}
.about-flex{
    display: flex;
    margin-top: 30px;
    padding-bottom: 50px;
    border-bottom: 1px solid #585d65;
}
.text-icon{
    width: 40%;
    margin-top: 60px;
}
.icon-bold{
    font-size: 18px;
    font-weight: 800;
    color: #fff;
}
.icon-img {
    color: #08e2c5;
    width: 10%;
}
.icon-p{
    font-size: 14px;
    font-size: 500;
    color: #fff;
    margin-top: 30px;
    width: 75%;
}
.about-6{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    margin-bottom: 50px;
}
.about-2{
  border-bottom: 1px solid #585d65;
}
.pricing{
    margin-bottom: 40px;
    border-bottom: 1px solid #585d65;
}
.mobile-menu-toggle{
    display: none;
}
.grt{
    border: 1px solid #585d65;
    border-radius: 50px;
    width: 70px;
    height: 70px;
    position: relative;
    left: 200px;
    margin-left: 10px;
    margin-top: 90px;
    cursor: pointer;
}
.grt-2{
    border: 1px solid #585d65;
    border-radius: 50px;
    width: 70px;
    height: 70px;
    position: relative;
    left: 150px;
    margin-left: 10px;
    margin-top: 90px;
    cursor: pointer;
}
.grt p{
    position: absolute;
    top: 12px;
    left: 30px;
    font-size: 28px;
    color: #fff;
}
.grt-2 p{
    position: absolute;
    top: 12px;
    left: 30px;
    font-size: 28px;
    color: #fff;
}


.grt-flex{
    display: flex;
}

.pric-flex{
    display: flex;
}
.prici-2{
    margin-top: 80px;
    text-align: center;
}
.prici-2 img{
  width: 30%;
}
.bold-pr{
    font-size: 18px;
    font-weight: 800;
    color: #fff;
}
.pos-pr{
    font-size: 54px;
    font-weight: 800;
    color: #fff;
}
.prcing-flex{
    display: flex;
    justify-content: space-evenly;
}

.pos-re{
 position: relative;
}
.pos-ab-1{
    position: absolute;
    top: 0;
    color: #fff;
    left: 40px;
}
.pos-ab-4{
    position: absolute;
    top: 0;
    color: #fff;
    left: 40px;
}
.pos-ab-2{
    position: absolute;
    top: 40px;
    color: #fff;
    left: 120px;
}
.pos-ab-3{
    position: absolute;
    top: 40px;
    color: #fff;
    left: 120px;
}
.mar{
    margin-top: 10px;
    font-size: 14px;
    font-family: "poppins";
    color: #fff;
}
.mar p{
    padding-top: 12px;
}
.btn-5{
    padding: 21px 40px;
    border-radius: 50px;
    font-family: "Poppins";
    margin-left: 20px;
    font-weight: 800;
    font-size: 12px;
    color: #fff;
    background-color: #373B40;
    outline: none;
    border: 1px solid #585d65;
    margin-top: 20px;
    margin-bottom: 80px;
}
.btn-5:hover{
    color: #08e2c5;
    border: 1px solid #08e2c5;
    transition: 0.5s;
    cursor: pointer;
}
.exp-main{
    display: flex;
}
.rotate{
    font-size: 11px;
    font-weight: 600;
    transform: rotate(90deg);
    margin-right: 15px;
    color: #08e2c5;
}
.rotate-2{
    font-size: 10px;
    font-weight: 600;
    transform: rotate(90deg);
    margin-right: 15px;
    color: #08e2c5;
}
.rot-2{
    width: 30%;
    font-size: 18px;
    font-weight: 800;
    color: #fff;
}
.rot-5{
    width: 50%;
    font-size: 18px;
    font-weight: 800;
    color: #fff;
}
.rot-3{
    width: 10%;
    font-size: 18px;
    font-weight: 800;
    color: #fff;
}
.exp-top{
    margin-top: 80px;
    margin-bottom: 80px;
}
.exp-with{
    width: 75%;
    margin-left: 35px;
    margin-top: 20px;
    color: #fff;
    font-size: 14px;
    margin-bottom: 20px;
}
.exp-with-2{
    width: 60%;
    margin-left: 45px;
    margin-top: 20px;
    color: #fff;
    font-size: 14px;
    margin-bottom: 20px;
}
.exp-flex{
    display: flex;
    justify-content: space-evenly;
    border-bottom: 1px solid #585d65;
}
.experience{
    border-bottom: 1px solid #585d65;
}
.des-zoom{
    font-size: 18px;
    font-weight: 800;
    color: #fff;
}
.des-short{
    width: 85%;
    color: #fff;
    font-size: 14px;
    margin-top: 20px;

}
.design{
 border-bottom: 1px solid #585d65;
}
.design-flex{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    margin-bottom: 80px;
}
.design-mr{
    margin-top: 30px;
    width: 40%;
}
.des-rel{
    height: 2px;
    width: 85%;
    background-color: #585d65;
}
.des-abs{
    height: 2px;
    width: 90%;
    background-color: #08e2c5;
}
.des-abs-2{
    height: 2px;
    width: 70%;
    background-color: #08e2c5;
}
.des-abs-3{
    height: 2px;
    width: 95%;
    background-color: #08e2c5;
}
.des-abs-4{
    height: 2px;
    width: 80%;
    background-color: #08e2c5;
}
.des-num{
    font-size: 12px;
    font-weight: 600;
    color: #08e2c5;
    margin-top: 10px;
    margin-left: 180px;
}
.res-clr{
    width: 15px;
    height: 15px;
    border-radius: 50px;
    background-color: #08e2c5;
    margin-right: 13px;
    margin-top: 30px;
}
.res-clr-2{
    width: 15px;
    height: 15px;
    border-radius: 50px;
    background-color: #585d65;
    margin-right: 10px;
    margin-top: 30px;
}
.resume-main{
    display: flex;
}
#resume{
    border-bottom: 1px solid #585d65;
}
.cod-rel{
    height: 90px;
    width: 90px;
    /* background-color: #fff; */
    border-radius: 50px;
    position: relative;
}
.por{
    display: flex;
    justify-content: center;
    padding-top: 30px;
    font-size: 14px;
    font-weight: 600;
    color: #fff;
}
.cod-abs{
    height: 90px;
    width: 90px;
    border: 4px solid #08e2c5;
    border-radius: 50px;
    position: absolute;
    top: 0;
    /* border-left-style: hidden; */
    border-top-style: hidden;
}
.cod-abs-2{
    height: 90px;
    width: 90px;
    border: 4px solid #08e2c5;
    border-radius: 50px;
    position: absolute;
    top: 0;
    border-left-style: hidden;
    border-top-style: hidden;
}
.cod-abs-3{
    height: 90px;
    width: 90px;
    border: 4px solid #08e2c5;
    border-radius: 50px;
    position: absolute;
    top: 0;
    border-left-style: hidden;
    border-top-style: hidden;
    border-bottom-style: hidden;
}
.cod-txt{
    font-size: 18px;
    font-weight: 800;
    color: #fff;
    margin-top: 20px;
}
.cod-txt-2{
    font-size: 14px;
    font-weight: 400;
    color: #fff;
    margin-top: 20px;
    width: 60%;
}
.coding-main{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    border-bottom: 1px solid #585d65;
}
.cod-wid{
    width: 30%;
    margin-top: 50px;
    margin-bottom: 60px;
}
.img-1{
    width: 70px;
    height: 70px;
}
.img-1 img{
    border-radius: 50%;
}
.rev-bold{
    font-size: 18px;
    font-weight: 800;
    color: #fff;
    
}
.rev-bold-2{
    font-size: 14px;
    font-weight: 600;
    color: #08e2c5;
}
.rev-2{
    margin-left: 20px;
    margin-top: 10px;
}
.img-flex{
    display: flex;
    margin-left: 30px;
    margin-top: 60px;
}
.rev-img-1 p{
  font-size: 38px;
  font-weight: 800;
  color: #08e2c5;
}
.rev-img-2{
    font-size: 14px;
    color: #fff;
    width: 65%;
    padding-left: 20px;
}
.img-flex-2{
    display: flex;
    margin-left: 30px;
    margin-top: 30px;
}
.rev-img{
    display: flex;
    justify-content: space-evenly;
    margin-bottom: 70px;
}
.review{
    border-bottom: 1px solid #585d65;
}
.clients-img{
    width: 15%;
    padding-right: 50px;
}
.clients-img-2{
    width: 15%;
    padding-right: 50px;
    margin-top: 30px;
}
#clients-clr{
    opacity: 0.5;
}
#clients-clr:hover{
    opacity: 1;
    transition: 0.5s;
}
.clients-flex{
    display: flex;
    margin-left: 30px;
    margin-top: 60px;
    margin-bottom: 70px;
}
.clients{
    border-bottom: 1px solid #585d65;
}
.anchor ul li{
    list-style: none;
    color: #fff;
    padding-right: 30px;
    font-size: 14px;
    cursor: pointer;
}
.anchor ul li:hover{
    color: #08e2c5;
    transition-duration: 0.8s;

}
.anchor ul{
    display: flex;
    margin-left: 30px;
    margin-top: 30px;
}
.port-inside{
    width: 35%;
    padding-right: 60px;
    padding-top: 50px;
    padding-left: 30px;
}
.port-img{
    display: flex;
    flex-wrap: wrap;
    border-bottom: 1px solid #585d65;
}
.port-p{
    font-size: 16px;
    font-weight: 700;
    color: #08e2c5;
    text-align: center;
    margin-top: 10px;
}
.port-p a{
    color: #08e2c5;

}

.port-p-2{
    font-size: 16px;
    font-weight: 800;
    color: #fff;
    margin-top: 10px;
    width: 60%;
    text-align: center;
    margin-left: 60px;

}
.btn-6{
    padding: 21px 40px;
    border-radius: 50px;
    font-family: "Poppins";
    margin-left: 270px;
    font-weight: 800;
    font-size: 12px;
    color: #fff;
    background-color: #373B40;
    outline: none;
    border: 1px solid #585d65;
    margin-top: 40px;
    margin-bottom: 80px;
}
.btn-6:hover{
    color: #08e2c5;
    border: 1px solid #08e2c5;
    transition: 0.5s;
    cursor: pointer;
}
.port-hover .hover{
  display: block;
}
.hover{
    width: 40%;
    height: 110px;
    background-color: #08e2c5;
    position: absolute;
    top: 100px;
    left: 90px;
    /* display: none; */
    opacity: 0;
}
.port-img-8{
    height: 300px;
    width: 300px;
    background-image: url(./images/port-8.jpg);
    background-size: 100% 100%;
    position: relative;
}
.port-img-9{
    height: 300px;
    width: 300px;
    background-image: url(./images/port-7.jpg);
    background-size: 100% 100%;
    position: relative;
}
.port-img-9:hover .hover{
    transform: scale(2.2);
    transition-duration: 0.5s;
    opacity: 1;
}
.port-img-6{
    height: 300px;
    width: 300px;
    background-image: url(./images/port-6.jpg);
    background-size: 100% 100%;
    position: relative;
}
.port-img-6:hover .hover{
    transform: scale(2.2);
    transition-duration: 0.5s;
    opacity: 1;
}
.port-img-5{
    height: 300px;
    width: 300px;
    background-image: url(./images/port-5.jpg);
    background-size: 100% 100%;
    position: relative;
}
.port-img-5:hover .hover{
    transform: scale(2.2);
    transition-duration: 0.5s;
    opacity: 1;
}
.port-img-4{
    height: 300px;
    width: 300px;
    background-image: url(./images/Dice-img-portfolio.jpg);
    background-size: 100% 100%;
    background-size: cover;
    position: relative;
}
.port-img-4:hover .hover{
    transform: scale(2.2);
    transition-duration: 0.5s;
    opacity: 1;
}
.port-img-3{
    height: 300px;
    width: 300px;
    background-image: url(./images/iub-img-4th.jpg);
    background-size: 100% 100%;
    background-size: cover;
    position: relative;
}
.port-img-3:hover .hover{
    transform: scale(2.2);
    transition-duration: 0.5s;
    opacity: 1;
}
.port-img-2{
    height: 300px;
    width: 300px;
    background-image: url(./images/Fruit-img-portfolio.avif);
    background-size: 100% 100%;
    background-size: cover;
    position: relative;
}
.port-img-2:hover .hover{
    transform: scale(2.2);
    transition-duration: 0.5s;
    opacity: 1;
}
.port-img-1{
    height: 300px;
    width: 300px;
    background-image: url(./images/Food-img-porfolio.jpg);
    background-size: 100% 100%;
    background-size: cover;
    position: relative;
}
.port-img-1:hover .hover{
    transform: scale(2.2);
    transition-duration: 0.5s;
    opacity: 1;
}
.port-img-8:hover .hover{
    transform: scale(2.2);
    transition-duration: 0.5s;
    opacity: 1;
}
.hover i{
    color: #fff;
    position: absolute;
    top: 50px;
    left: 55px;
    font-size: 12px;
}
.input-last input{
width: 200px;
height: 60px;
background-color: #373B40;
border: 1px solid #585d65;
border-radius: 50px;
outline: none;
padding-left: 30px;
border-top: none ;
}
.input-last-2 input{
width: 200px;
height: 60px;
background-color: #373B40;
border: 1px solid #585d65;
border-radius: 50px;
outline: none;
padding-left: 30px;
border-top: none ;
}
.input-last-3 input{
width: 200px;
height: 200px;
background-color: #373B40;
border: 1px solid #585d65;
border-radius: 30px;
outline: none;
padding-left: 30px;
border-top: none ;
}
.input-last p{
    position: absolute;
    left: 70px;
    top: -15px;
    z-index: 10;
    color: #fff;
    font-size: 16px;
    font-weight: 800;
}
.input-last-2 p{
    position: absolute;
    left: 45px;
    top: -15px;
    z-index: 120;
    color: #fff;
    font-size: 16px;
    font-weight: 800;
}
.input-last-3 p{
    position: absolute;
    left: 65px;
    top: -15px;
    z-index: 120;
    color: #fff;
    font-size: 16px;
    font-weight: 800;
}
.input-last{
    margin-top: 80px;
    margin-left: 30px;
   position: relative;
}
.input-last-2{
    margin-top: 80px;
    margin-left: 30px;
   position: relative;
}
.input-last-3{
    margin-top: 80px;
    margin-left: 30px;
   position: relative;
}
.inpu-clr{
    color: #08e2c5;
}
.input-flex{
    display: flex;
}
.input-last-4{
    border: 1px solid #585d65;
    width: 350px;
    height: 500px;
    margin-top: 80px;
    margin-left: 60px;
    border-radius: 30px;
}
.input-clr{
    font-size: 26px;
    font-weight: 800;
    color: #fff;
    margin: 20px 0 0 30px;
}
.input-clr-2{
    font-size: 11px;
    font-weight: 600;
    color: #08e2c5;
    margin: 5px 0 0 30px;
}
.last-flex{
    display: flex;
}
.last-1{
    color: #08e2c5;
    font-size: 14px;
    font-weight: 600;
    margin-top: 50px;
    margin-left: 30px;
}
.last-1 p{
    padding-top: 15px;
}
.last-2 p{
    padding-top: 15px;
}

.last-2{
    color: #fff;
    font-size: 14px;
    font-weight: 600;
    margin-top: 50px;
    margin-left: 30px;
}
.btn-7{
    padding: 21px 40px;
    border-radius: 50px;
    font-family: "Poppins";
    margin-left: 60px;
    font-weight: 800;
    font-size: 12px;
    color: #fff;
    background-color: #373B40;
    outline: none;
    border: 1px solid #585d65;
    margin-top: 50px;
    /* margin-bottom: 80px; */
}
.btn-7:hover{
    color: #08e2c5;
    border: 1px solid #08e2c5;
    transition: 0.5s;
    cursor: pointer;
}
.input-2{
    margin-bottom: 80px;
}



/* From Uiverse.io by doniaskima */ 
.btn-31,
.btn-31 *,
.btn-31 :after,
.btn-31 :before,
.btn-31:after,
.btn-31:before {
  border: 0 solid;
  box-sizing: border-box;
}

.btn-31 {
  /* -webkit-tap-highlight-color: transparent; */
  background-color: #373B40;
  background-image: none;
  color: #08e2c5;
  border-radius: 10px;
  cursor: pointer;
  font-family: "Poppins";
  font-weight: 900;
  line-height: 1.5;
  margin: 0;
  padding: 0;
}

.btn-31:disabled {
  cursor: default;
}

.btn-31:-moz-focusring {
  outline: auto;
}

.btn-31 svg {
  display: block;
}

.btn-31 [hidden] {
  display: none;
}

.btn-31 {
  border-width: 1px;
  border: 1px solid #08e2c5;
  padding: 1rem 2rem;
  position: relative;
  text-transform: uppercase;
  margin-left: 30px;
}

.btn-31:before {
  --progress: 100%;
  background: #08e2c5;
  color: #373B40;
  border-radius: 10px;
  border-width: 1px;
  clip-path: polygon(
    100% 0,
    var(--progress) var(--progress),
    0 100%,
    100% 100%
  );
  content: "";
  inset: 0;
  position: absolute;
  transition: -webkit-clip-path 0.2s ease;
  transition: clip-path 0.2s ease;
  transition: clip-path 0.2s ease, -webkit-clip-path 0.2s ease;
}

.btn-31:hover:before {
  --progress: 0%;
}

.btn-31 .text-container {
  display: block;
  overflow: hidden;
  position: relative;

}

.btn-31 .text {
  display: block;
  font-weight: 900;
  /* mix-blend-mode: difference; */
  position: relative;
  color: #fff;

}

.btn-31:hover .text {
  -webkit-animation: move-up-alternate 0.3s ease forwards;
  animation: move-up-alternate 0.3s ease forwards;
}

@-webkit-keyframes move-up-alternate {
  0% {
    transform: translateY(0);
  }

  50% {
    transform: translateY(80%);
  }

  51% {
    transform: translateY(-80%);
  }

  to {
    transform: translateY(0);
  }
}

@keyframes move-up-alternate {
  0% {
    transform: translateY(0);
  }

  50% {
    transform: translateY(80%);
  }

  51% {
    transform: translateY(-80%);
  }

  to {
    transform: translateY(0);
  }
}
